Skip to main content
POST
Start call streaming

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

call_id
string<uuid>
required

The uuid of the call.

Body

application/json

Destination and options for the media stream.

stream_url
string<uri>
required

WebSocket URL for call streaming

Example:

"wss://examples.com/stream"

stream_type
enum<string>
required

Direction of audio streamed to stream_url.

Available options:
oneway,
twoway
Example:

"twoway"

stream_channel
enum<string>
required

Audio channel streamed to stream_url.

Available options:
inbound,
outbound,
both
Example:

"inbound"

Response

Returns the created media stream, including its stream_id.

success
boolean

Indicates that the request was successful

Example:

true

stream_id
string<uuid>

Stream ID

Example:

"123e4567-e89b-12d3-a456-426614174000"